• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[Xposed][MOD][4.0+][16-04-2021] KMod FWA v2.8.4 - WhatsApp privacy & customization

Search This thread

Krowne

Senior Member
Nov 23, 2012
1,191
2,874
Let's see guys, try this version, the WhatsApp version restriction is removed. If it works fine, then I will put it in the first post. Regarding the problems with LsXposed, the problem is LsXposed. I haven't touched Hooks and Resources of KMod for a long time, therefore the code is the same as previous versions, only correcting libraries.

Anyway, check out this post I made some time ago:

https://github.com/Krowne/App/releases
 

Attachments

  • KMod-FWA-v2.8.4.4.apk
    5.3 MB · Views: 98

hansxl

Senior Member
Nov 18, 2009
350
69
Let's see guys, try this version, the WhatsApp version restriction is removed. If it works fine, then I will put it in the first post. Regarding the problems with LsXposed, the problem is LsXposed. I haven't touched Hooks and Resources of KMod for a long time, therefore the code is the same as previous versions, only correcting libraries.

Anyway, check out this post I made some time ago:

https://github.com/Krowne/App/releases
Thanks Krowne, but it didn't work for me. First I installed this KMOD version (and rebooted) and everything seems to keep on working OK. But after updating WA to 2.21.19.2 I get fc's from KMOD. I only get the starting KMOD flashscreen and then it's gone. Had to roll back my phone.

I'm not really surprised because it seems weard that the problem would be the version checking. Probably it's another problem but for some reason the software falls into the version check error routine?

But this is only one test, maybe others have other results?
Anyway thanks for trying (y):)
 

Krowne

Senior Member
Nov 23, 2012
1,191
2,874
Thanks Krowne, but it didn't work for me. First I installed this KMOD version (and rebooted) and everything seems to keep on working OK. But after updating WA to 2.21.19.2 I get fc's from KMOD. I only get the starting KMOD flashscreen and then it's gone. Had to roll back my phone.

I'm not really surprised because it seems weard that the problem would be the version checking. Probably it's another problem but for some reason the software falls into the version check error routine?

But this is only one test, maybe others have other results?
Anyway thanks for trying (y):)
Delete the version check, it was because several people told me that they could not access KMod because it told them that WhatsApp was not updated, when they were in the latest version, that's why I deleted this check.

Perhaps the problem is a change that WhatsApp has made in these versions, and that is why it is not visible on certain devices. Remember that a few years ago WhatsApp launched a version of WhatsApp, which suddenly stopped working all Xposed, but later versions, everything returned to work normally, and I still do not know why. Maybe this is the case, although for me it still works, even with the latest beta.

However, I can't tell you that with LsXposed it will work, because it doesn't, I don't know of anyone that works. In fact, if it doesn't work with LsXposed, I'll say the same thing I said when it didn't work with Magisk and everyone was telling me to fix KMod. "The problem is not KMod, it uses the Xposed libraries and there is nothing to fix, the one that has to fix the compatibility is LsXposed".



As I said a few days ago, I am not going to continue maintaining WhatsApp, fixing customization bugs, or anything that requires a lot of effort, because I lost interest.

The beta testers know why, and they are the only ones who will be able to test the new project, as it will not be done publicly, nor am I interested in doing so. (They know and understand why).

If anyone is interested, contact me on Telegram, for this send me a pm.
 
  • Like
Reactions: kxpa and hansxl

hansxl

Senior Member
Nov 18, 2009
350
69
Delete the version check, it was because several people told me that they could not access KMod because it told them that WhatsApp was not updated, when they were in the latest version, that's why I deleted this check.

Perhaps the problem is a change that WhatsApp has made in these versions, and that is why it is not visible on certain devices. Remember that a few years ago WhatsApp launched a version of WhatsApp, which suddenly stopped working all Xposed, but later versions, everything returned to work normally, and I still do not know why. Maybe this is the case, although for me it still works, even with the latest beta.

However, I can't tell you that with LsXposed it will work, because it doesn't, I don't know of anyone that works. In fact, if it doesn't work with LsXposed, I'll say the same thing I said when it didn't work with Magisk and everyone was telling me to fix KMod. "The problem is not KMod, it uses the Xposed libraries and there is nothing to fix, the one that has to fix the compatibility is LsXposed".



As I said a few days ago, I am not going to continue maintaining WhatsApp, fixing customization bugs, or anything that requires a lot of effort, because I lost interest.

The beta testers know why, and they are the only ones who will be able to test the new project, as it will not be done publicly, nor am I interested in doing so. (They know and understand why).

If anyone is interested, contact me on Telegram, for this send me a pm.

For me it does work with LSPosed (Riru v26.1.2.r505 and LSPosed v1.5.3), at least until WA 2.21.18.6.
But every next WA (beta) release it's a surprise if it will still work, so before updating I always make a full TWRP backup (cost only 5 minutes and saved me lots of time:))
 

Marvino.

Senior Member
Nov 7, 2014
374
199
Egypt
Samsung Galaxy Note 3
Delete the version check, it was because several people told me that they could not access KMod because it told them that WhatsApp was not updated, when they were in the latest version, that's why I deleted this check.

Perhaps the problem is a change that WhatsApp has made in these versions, and that is why it is not visible on certain devices. Remember that a few years ago WhatsApp launched a version of WhatsApp, which suddenly stopped working all Xposed, but later versions, everything returned to work normally, and I still do not know why. Maybe this is the case, although for me it still works, even with the latest beta.

However, I can't tell you that with LsXposed it will work, because it doesn't, I don't know of anyone that works. In fact, if it doesn't work with LsXposed, I'll say the same thing I said when it didn't work with Magisk and everyone was telling me to fix KMod. "The problem is not KMod, it uses the Xposed libraries and there is nothing to fix, the one that has to fix the compatibility is LsXposed".



As I said a few days ago, I am not going to continue maintaining WhatsApp, fixing customization bugs, or anything that requires a lot of effort, because I lost interest.

The beta testers know why, and they are the only ones who will be able to test the new project, as it will not be done publicly, nor am I interested in doing so. (They know and understand why).

If anyone is interested, contact me on Telegram, for this send me a pm.

LSPosed is on GitHub so if there's a compatibility issue, you can always open an issue and the dev will see if they can do anything from their side.
 

charriabo

New member
Sep 16, 2021
1
0
Hi, something off the topic, maybe it will be possible to achieve some of options of this app through termux by editing something in /data/data/com.whatsapp/databases ?
for example i am interested in creating a small script to achieve the hide connection option?

thank you,
Maria
 
For me it does work with LSPosed (Riru v26.1.2.r505 and LSPosed v1.5.3), at least until WA 2.21.18.6.
But every next WA (beta) release it's a surprise if it will still work, so before updating I always make a full TWRP backup (cost only 5 minutes and saved me lots of time:))
Heya I just wanted to know what did you select because even I'm on lsposed and same configuration, yet it doesn't works for me
 

Sy1ar

Senior Member
Dec 23, 2013
365
109
OnePlus 7
Delete the version check, it was because several people told me that they could not access KMod because it told them that WhatsApp was not updated, when they were in the latest version, that's why I deleted this check.

Perhaps the problem is a change that WhatsApp has made in these versions, and that is why it is not visible on certain devices. Remember that a few years ago WhatsApp launched a version of WhatsApp, which suddenly stopped working all Xposed, but later versions, everything returned to work normally, and I still do not know why. Maybe this is the case, although for me it still works, even with the latest beta.

However, I can't tell you that with LsXposed it will work, because it doesn't, I don't know of anyone that works. In fact, if it doesn't work with LsXposed, I'll say the same thing I said when it didn't work with Magisk and everyone was telling me to fix KMod. "The problem is not KMod, it uses the Xposed libraries and there is nothing to fix, the one that has to fix the compatibility is LsXposed".



As I said a few days ago, I am not going to continue maintaining WhatsApp, fixing customization bugs, or anything that requires a lot of effort, because I lost interest.

The beta testers know why, and they are the only ones who will be able to test the new project, as it will not be done publicly, nor am I interested in doing so. (They know and understand why).

If anyone is interested, contact me on Telegram, for this send me a pm.
Sent you a PM with my telegram username. Thank you
 

Krowne

Senior Member
Nov 23, 2012
1,191
2,874
LSPosed is on GitHub so if there's a compatibility issue, you can always open an issue and the dev will see if they can do anything from their side.
Sorry, for me it has never stopped working, open a thread for those with the problem.
Hi, something off the topic, maybe it will be possible to achieve some of options of this app through termux by editing something in /data/data/com.whatsapp/databases ?
for example i am interested in creating a small script to achieve the hide connection option?

thank you,
Maria
The option to hide the online status is not related to the database. And even if it was, I don't know how Termux works, I'm sorry.
Hi Krowne, although on GitHub says the patch for version 2.21.19.15 is available, the app does not download the update.
The day I was generating these libraries, I was generating 5 more at the same time, so I posted in the library update, but the library took about 20 minutes longer than expected to get up and running. It is currently available.
kmod wfa sürüm 2.8.4.4 edxposed ile çalışır mı?
Sorry, in this forum only English is spoken, if you want me to understand and respond to you, please speak in that language.
 

hansxl

Senior Member
Nov 18, 2009
350
69
Delete the version check, it was because several people told me that they could not access KMod because it told them that WhatsApp was not updated, when they were in the latest version, that's why I deleted this check.

Perhaps the problem is a change that WhatsApp has made in these versions, and that is why it is not visible on certain devices. Remember that a few years ago WhatsApp launched a version of WhatsApp, which suddenly stopped working all Xposed, but later versions, everything returned to work normally, and I still do not know why. Maybe this is the case, although for me it still works, even with the latest beta.

However, I can't tell you that with LsXposed it will work, because it doesn't, I don't know of anyone that works. In fact, if it doesn't work with LsXposed, I'll say the same thing I said when it didn't work with Magisk and everyone was telling me to fix KMod. "The problem is not KMod, it uses the Xposed libraries and there is nothing to fix, the one that has to fix the compatibility is LsXposed".



As I said a few days ago, I am not going to continue maintaining WhatsApp, fixing customization bugs, or anything that requires a lot of effort, because I lost interest.

The beta testers know why, and they are the only ones who will be able to test the new project, as it will not be done publicly, nor am I interested in doing so. (They know and understand why).

If anyone is interested, contact me on Telegram, for this send me a pm.
As WA is forcing me to update now, with pain in my heart I have to say goodbye to KMOD. So far it's the best mod for WA for me but unfortunately it doesn't function anymre with the latest WA versions. I'll have to search for an alternative ...:cry:.

Anyway, thanks Krowne for all your great work (y)
 
  • Like
Reactions: Krowne

Top Liked Posts

  • There are no posts matching your filters.
  • 1
    LSPosed is on GitHub so if there's a compatibility issue, you can always open an issue and the dev will see if they can do anything from their side.
    Sorry, for me it has never stopped working, open a thread for those with the problem.
    Hi, something off the topic, maybe it will be possible to achieve some of options of this app through termux by editing something in /data/data/com.whatsapp/databases ?
    for example i am interested in creating a small script to achieve the hide connection option?

    thank you,
    Maria
    The option to hide the online status is not related to the database. And even if it was, I don't know how Termux works, I'm sorry.
    Hi Krowne, although on GitHub says the patch for version 2.21.19.15 is available, the app does not download the update.
    The day I was generating these libraries, I was generating 5 more at the same time, so I posted in the library update, but the library took about 20 minutes longer than expected to get up and running. It is currently available.
    kmod wfa sürüm 2.8.4.4 edxposed ile çalışır mı?
    Sorry, in this forum only English is spoken, if you want me to understand and respond to you, please speak in that language.
    1
    Delete the version check, it was because several people told me that they could not access KMod because it told them that WhatsApp was not updated, when they were in the latest version, that's why I deleted this check.

    Perhaps the problem is a change that WhatsApp has made in these versions, and that is why it is not visible on certain devices. Remember that a few years ago WhatsApp launched a version of WhatsApp, which suddenly stopped working all Xposed, but later versions, everything returned to work normally, and I still do not know why. Maybe this is the case, although for me it still works, even with the latest beta.

    However, I can't tell you that with LsXposed it will work, because it doesn't, I don't know of anyone that works. In fact, if it doesn't work with LsXposed, I'll say the same thing I said when it didn't work with Magisk and everyone was telling me to fix KMod. "The problem is not KMod, it uses the Xposed libraries and there is nothing to fix, the one that has to fix the compatibility is LsXposed".



    As I said a few days ago, I am not going to continue maintaining WhatsApp, fixing customization bugs, or anything that requires a lot of effort, because I lost interest.

    The beta testers know why, and they are the only ones who will be able to test the new project, as it will not be done publicly, nor am I interested in doing so. (They know and understand why).

    If anyone is interested, contact me on Telegram, for this send me a pm.
    As WA is forcing me to update now, with pain in my heart I have to say goodbye to KMOD. So far it's the best mod for WA for me but unfortunately it doesn't function anymre with the latest WA versions. I'll have to search for an alternative ...:cry:.

    Anyway, thanks Krowne for all your great work (y)
  • 167
    KMod FWA v2.8.4

    Project without development at the moment. Maybe later it will resume.

    Thank you for all these years of support. ❤️


    6EjA7z1.jpg

    Disclaimer:
    • Use KMod FWA at your own risk.
    • Readers, end-users, and downloaders of KMod FWA are responsible for their own actions.
    • Readers, end-users, and downloaders of KMod FWA agree not to use for illegal actions.
    • This disclaimer is subject to change without notice at any time for any reason.

    Features:
    • Independent customization of each section of the application.
    • You can change color backgrounds, fonts and icons.
    • New icons and ticks in differents sections.
    • Customization different images of the application.
    • Hiding unwanted elements or of little use.
    • Direct access to module from within the application.
    • Privacy options.

    Supports:
    • Android 4.0.3(Ice Cream Sandwich).
    • Android 4.1 to 4.3.1(Jelly Bean).
    • Android 4.4(KitKat).
    • Android 5.0(Lollipop).
    • Android 6.0(Mashmallow).
    • Android 7.0(Nougat).
    • Android 8.0(Oreo).
    • Android 9.0(Pie).
    • Android 10.0.
    • Android 11.0+ (Its behavior is somewhat unstable due to some obsolete methods in Android 11).

    Minimun requirements:
    Instructions:
    1. Install Xposed or Magisk, and configure Magisk with its modules.
    2. Download the module KMod FWA and install.
    3. Activate it in Modules section of Xposed or EdXposed Manager, and reboot device (Normal restart, not quick).
    4. Open KMod FWA and accept root permissions.
    5. In Android 6.0 or higher, accept the storage and access permissions to the phone's book, or activate it from the application manager of your device.
    6. Make all the changes you want in Customization section.
    7. To see the changes made, click on the refresh icon
      1GXQvWr.png
    8. To save a theme, go to the Backup section, or click the save icon
      EGT7qjc.png
    9. To load a Theme, go to the Backup section, select the Theme you want to upload, and wait the message that the Theme has been loaded.
    10. Go to the Updates section, and Update the libraries. To check the latest available libraries, go to:
      https://github.com/Krowne/Libraries
    11. If you are using EdXposed it is recommended to enable SE Linux in settings.

    EdXposed Manager configuration:
    In the Settings section, go to the Framework section and mark as active:
    • Enable resource hooks.
    • Use SandHook variant backend.

    Downloads:

    MD5: c23ff8daab1b23921a87ae5088b83931

    Repository:

    http://repo.xposed.info/module/kmod.xposed

    Change Log:

    Known issues:
    • The customization is not applied correctly in the Settings section.
    • The circle of FAB button on the main screen doesn't apply color customization.

    ATTENTION!

    The Riru module v22+ from Magisk, doesn't detect Xposed correctly, therefore it's recommended to use version 21.3 so that everything continues to work correctly.

    As I communicated a long time ago, now the Hooks update system (now called libraries) will not continue to update automatically. Updates will now be made on each version independently, and there will be no updates for all versions.

    To update the libraries, you must enter the Updates section and click on the Update libraries option. At the moment, there will only be libraries for stable versions and beta versions published on weekends, however, in the link published below, I will publish all available versions of libraries in each version of KMod FWA.

    List of available libraries: https://github.com/Krowne/Libraries

    Download Themes:

    Place their themes on your SD card or internal memory, in the /KMod/Themes route. Make sure the directory exists before placing, if doesn't exist, open the module for create directories.

    Download from the index of themes

    XDA:DevDB Information

    KMod FWA, Xposed for all devices (see above for details)

    Contributors
    Krowne
    Xposed Package Name:

    Version Information
    Status:
    Stable
    Current Stable Version: 2.8.3
    Stable Release Date: 2021-02-09

    Created 2016-08-03
    Last Updated 2021-02-09
    56
    FAQ:
    Q: I installed an update, and KMod FWA is not recognized by Xposed.
    A: This is usually normal on some devices.

    Disable KMod FWA from the list of Xposed modules, perform a normal restart (not quick), enable KMod FWA again in the list of Xposed modules, and do a normal restart.

    Sometimes, disable and enable KMod FWA the list of Xposed modules, and do a normal restart is sufficient.

    Q: Why it doesn't work in some versions of WhatsApp?
    A: This only works in official versions of WhatsApp higher than that specified in the requirements.

    It may also be that your Android version doesn't have integrated customization, and that is the reason why there is no customization in WhatsApp.

    Q: Installed and activated the module, why the changes do not apply to WhatsApp?
    A: Maybe you have not successfully activated the module, deactivate, activate, and then restart of device (normal restart, not by software). You may also be using a version of WhatsApp not compatible with the module.

    Q: Can't download themes from the cloud?
    A: At the moment this option is not available, you can upload your themes to external and share servers.

    Q: Where was it saved, or where should I save new themes to load them into KMod FWA?
    A: Used to place their themes on your SD card or internal memory, in the /KMod/Themes route. Make sure the directory exists before placing, if doesn't exist, open the module for create directories.

    Q: I have changed the application icon, and no changes are applied.
    A: After changing the application icon you must restart your device. If it still doesn't change the icon, you may be using a launcher who does not support changing the application icon (such as Nova Launcher).

    Q: I have updated KMod FWA and several options have stopped working.
    A: If this happens, then go to KMod FWA Settings, select Delete cache, and press Apply changes in KMod FWA.

    Q: I have activated the option to see a Toast of the people who connect and disconnect, but it does not work.
    A: These notifications will only be displayed when:
    1. Log in to WhatsApp.
    2. Enter a contact's chat.
    3. You are inside WhatsApp.
    4. Do not keep the online status hidden.

    When these four conditions are met, then you should see when the contacts you have entered into your chat are connected or disconnected.

    If you comply with the four conditions, but leave WhatsApp, force the closure of the application or enter KMod FWA, you must repeat the four conditions to make it work again.

    Q: I have problems related to privacy options.
    A: See this post for more information: https://forum.xda-developers.com/showpost.php?p=75503030&postcount=1772

    Translations:

    Looking for volunteers to translate the module into different languages, to publish in the next update.. Interested send me private messages.

    Current languages:
    • English
    • Arab
    • Bengali
    • French
    • German
    • Spanish
    • Hindi
    • Indonesian
    • Italian
    • Dutch
    • Polish
    • Portuguese (Brazil)
    • Romanian
    • Russian
    • Turkish

    Thanks to:
    @wanam for the mod: Hide the read messages (in versions prior to WhatsApp 2.18.1).
    @Surajkumar for the mod: Deactivate delivery report (in versions prior to WhatsApp 2.18.1).
    jaredrummler ColorPicker (current version).
    24
    when your private life depends on a programmer or an app. there is no patience worth. nice to meet you KMod

    I also have a private life, and as I said many times this is a hobby, and I also said many times that I'm busy lately, that until June I wasn't going to be able to update, and even saying that, I've been working on something, but in a private way.

    If your private life depends on a developer or an app, I think you should look at it. (with all my respect).
    24
    Update - KMod FWA v2.7.6

    Version 2.7.6 (14-08-2019 - From WhatsApp 2.19.203):

    7cutsdM.png
    Added all privacy options again.
    7cutsdM.png
    Now you can add a button on the conversations screen to make phone calls.
    7cutsdM.png
    Restructured the icons section within the Conversations section.
    7cutsdM.png
    New method to update libraries (Hooks). They are now updated by selecting the Update libraries option, in the Updates section.
    lYwNNSB.png
    Removed the Clear cache option in Settings (Now use the Update libraries option).
    lYwNNSB.png
    Removed the automatic update of Hooks when entering WhatsApp (It didn't work correctly on some devices).
    lYwNNSB.png
    Removed swipe to respond option (it's already active by default).
    lYwNNSB.png
    Removed option to activate Stickers (it's already active by default).
    lYwNNSB.png
    Removed option to replace the call button of WhatsApp by telephone calls (a separate button was added).
    lYwNNSB.png
    Removed personalization of some screens of the Settings section (for now).
    TLaiDez.png
    Fixed other errors.

    Download:

    Repository Xposed
    Forum - XDA-Developers

    MD5: 043c64c2585b5df5ee23d1062e49a96b

    Xposed Repository:

    http://repo.xposed.info/module/kmod.xposed



    ATTENTION!

    As I communicated a long time ago, now the Hooks update system (now called libraries) will not continue to update automatically. Updates will now be made on each version independently, and there will be no updates for all versions.

    To update the libraries, you must enter the Updates section and click on the Update libraries option. At the moment, there will only be libraries for stable versions and beta versions published on weekends, however, in the link published below, I will publish all available versions of libraries in each version of KMod FWA.

    List of available libraries: https://github.com/Krowne/Libraries

    Another point that many ask me is the compatibility with Android 9 and 10. The module works for some people who use edXposed, if you are one of the people that KMod FWA doesn't work, it's not something I can solve, it's something that Developers of edXposed should solve, for incompatibilities with your devices. Therefore, it's not that KMod FWA doesn't work because it is not compatible, it's compatible, but your device with edXposed and KMod FWA is not.

    Note: The options to hide record audio and write don't work correctly in the latest beta versions.
    20
    Lack of time

    I'm aware that I'm not updating the libraries, but there are some errors, and I don't have time lately to update.

    The project is not abandoned, but if stopped until you have some time (Maybe it's for a few days, or maybe for weeks).

    I apologize to everyone for it.

    I wish the days were of 34 hours... :(